Docs

Get Universal Action

Get one published action schema, including its arguments, response fields, and supported controls.

GET

Path

Path parameters
stringrequired

The app slug from List Universal Apps.

stringrequired

The action slug from List Universal Actions.

Headers

Optional headers
string

Optional. The id of a child organization of your API key's company to act on. Leave it out to act on the key's own company. See Child organizations.

Query

Arguments
string

The published app version. Defaults to latest.

The app version to inspect. Defaults to latest.

Default: latest

string

Comma-separated response fields.

Comma-separated fields to select from the action schema response.

Field selectionChoose which fields should be included in the response. Learn more
string

Comma-separated response fields to include.

Response fields

idstring

Unique id of the action.

appIdstring

The app that provides this action.

appSlugstring

The app slug used in Universal API routes.

appNamestring

The app's display name.

appVersionstring

The resolved published app version.

actionSlugstring

The action slug used in Universal API routes.

namestring

The action's display name.

kindstring

trigger for an action that starts a workflow (add it as a trigger); action for one a step runs.

  • action
  • trigger
descriptionstring

What the action does.

methodstring

The provider method selected by the action definition.

operationstring

The action operation, such as read or create.

modelstring

The provider model this action uses.

supportsobject

The response controls supported by this action.

queryCapabilitiesobject

Limits and paging capabilities for this action.

requiredArgumentsarray of objects

Arguments the action requires.

optionalArgumentsarray of objects

Arguments the action accepts but does not require.

responseFieldsarray of string

Field keys the action can return.

responseSchemaarray of objects

Definitions for fields the action can return.

controlsobject

Response controls and their defaults.

isSchemaDynamicboolean

True when the provider determines the response schema at run time.